Skip to main content
GET
/
v1
/
ai
/
conversations
/
{id}
/
messages
Get conversation messages
curl --request GET \
  --url https://joyride.exchange/api/v1/ai/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "user",
      "content": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "display_blocks": [
        {}
      ]
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT obtained from POST /v1/auth/verify after SIWS authentication. Include as: Authorization: Bearer <jwt>

Path Parameters

id
string<uuid>
required

Conversation ID

Query Parameters

cursor
string

Base64-encoded compound cursor from the previous response

limit
integer
default:50

Maximum number of messages to return

Required range: 1 <= x <= 100

Response

Paginated list of messages

messages
object[]
required
next_cursor
string | null
required

Base64-encoded cursor for the next page, if any